# Summary

[Introduction](intro.md)

- [`proptest`](proptest/index.md)
  - [Getting started](proptest/getting-started.md)
  - [Understanding Proptest from the Bottom Up](proptest/tutorial/index.md)
    - [Strategy Basics](proptest/tutorial/strategy-basics.md)
    - [Shrinking Basics](proptest/tutorial/shrinking-basics.md)
    - [Using the Test Runner](proptest/tutorial/test-runner.md)
    - [Compound Strategies](proptest/tutorial/compound-strategies.md)
    - [The `proptest!` macro](proptest/tutorial/macro-proptest.md)
    - [Transforming Strategies](proptest/tutorial/transforming-strategies.md)
    - [The `prop_compose!` macro](proptest/tutorial/macro-prop-compose.md)
    - [Generating Enums](proptest/tutorial/enums.md)
    - [Filtering](proptest/tutorial/filtering.md)
    - [Generating Recursive Data](proptest/tutorial/recursive.md)
    - [Higher-Order Strategies](proptest/tutorial/higher-order.md)
    - [Defining a Canonical `Strategy` for a Type](proptest/tutorial/arbitrary.md)
    - [Configuring Proptest](proptest/tutorial/config.md)
  - [Failure Persistence](proptest/failure-persistence.md)
  - [Test Timeouts and Forking](proptest/forking.md)
  - [`no_std` Support](proptest/no-std.md)
  - [Web Assembly Support](proptest/wasm.md)
  - [Limitations of Property Testing](proptest/limitations.md)
  - [Proptest vs Quickcheck](proptest/vs-quickcheck.md)
  - [Reference documentation](proptest/reference-docs.md)

- [proptest-derive](proptest-derive/index.md)
  - [Getting started](proptest-derive/getting-started.md)
  - [Modifier reference](proptest-derive/modifiers.md)
  - [Error index](proptest-derive/errors.md)
